Package twisted :: Package flow :: Module protocol :: Class _Protocol |
[frames | no frames]

## Class _Protocol

    Instruction --+
                  |
              Stage --+
                      |
               Callback --+
                          |
             Controller --+
                          |
       BaseProtocol --+   |
                      |   |
               Protocol --+
                          |
                         _Protocol

A concrete flow.Protocol for inheritance

Method Summary
| `__init__(self)`
| `_execute(self, dummy)`
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| `controller(protocol)`
Inherited from Callback
| ``__call__`(self, result)` called by the producer to indicate a successful result
| ``_yield`(self)` executed during a yield statement by previous stage
| ``errback`(self, fail)` called by the producer in case of Failure
| ``finish`(self)` called by producer to indicate successful stream completion
| ``result`(self, result)` called by the producer to indicate a successful result
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``dataReceived`(self, data)` Called whenever data is received.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `finishOnConnectionLost` = 1
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionLost(self, reason=<twisted.python.failure.Failure twisted.internet.error.Co...) Called when the connection is shut down. Clear any circular references here, and any external references to this Protocol. The connection has been closed. Parameters: `reason` (type=`twisted.python.failure.Failure`) Overrides: `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

Class Variable Details

    ### finishOnConnectionLost Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net